# m3e/focus_ring

FocusRing is a focus ring used to depict a strong focus indicator.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        disabled: Disabled,
        inward: Inward,
        for: option.Option(String),
      )
    }

### Constructors

-     Config(
        disabled: Disabled,
        inward: Inward,
        for: option.Option(String),
      )

## Disabled

</>

Disabled is whether the focus events will not trigger the focus ring. Focus rings can be still controlled manually by using the `show` and `hide` methods.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## FocusRing

opaque </>

FocusRing is a View Model for this component

## Fields:

- disabled: Whether the focus events will not trigger the focus ring. Focus rings can be still controlled manually by using the `show` and `hide` methods.
- inward: Whether the focus ring animates inward instead of outward.
- for: The identifier of the interactive control to which this element is attached.

    pub opaque type FocusRing

## Inward

</>

Inward is whether the focus ring animates inward instead of outward.

    pub type Inward {
      IsInward
      IsNotInward
    }

### Constructors

-     IsInward

-     IsNotInward

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_for

</>

    pub const default_for: option.Option(String)

## default_inward

</>

    pub const default_inward: Inward

## disabled

</>

    pub fn disabled(
      record: FocusRing,
      disabled: Disabled,
    ) -> FocusRing

disabled sets the value of disabled for this FocusRing.

## for

</>

    pub fn for(
      record: FocusRing,
      for: option.Option(String),
    ) -> FocusRing

for sets the value of for for this FocusRing.

## from_config

</>

    pub fn from_config(config: Config) -> FocusRing

from_config creates a new FocusRing from the given configuration.

## inward

</>

    pub fn inward(record: FocusRing, inward: Inward) -> FocusRing

inward sets the value of inward for this FocusRing.

## new

</>

    pub fn new() -> FocusRing

new creates a new FocusRing with the default configuration.

## render

</>

    pub fn render(
      model: FocusRing,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a FocusRing

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a FocusRing Config

✨